Receivers
Update a Receiver
This endpoint allows an organization to add and update information on the receiver, including email address, external ID, date of birth, personal PIN, and national ID number. The response includes all information on the receiver.
Update a Receiver
curl --request PATCH \
--url https://api.example.com/receivers/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: */*' \
--data '{
"date_of_birth": "1980-01-01",
"pin": "1234",
"national_id": "123456789",
"email": "[email protected]",
"external_id": "external123"
}'import requests
url = "https://api.example.com/receivers/{id}"
payload = "{\n \"date_of_birth\": \"1980-01-01\",\n \"pin\": \"1234\",\n \"national_id\": \"123456789\",\n \"email\": \"[email protected]\",\n \"external_id\": \"external123\"\n}"
headers = {
"Authorization": "<api-key>",
"Content-Type": "*/*"
}
response = requests.patch(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': '*/*'},
body: '{\n "date_of_birth": "1980-01-01",\n "pin": "1234",\n "national_id": "123456789",\n "email": "[email protected]",\n "external_id": "external123"\n}'
};
fetch('https://api.example.com/receivers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/receivers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => "{\n \"date_of_birth\": \"1980-01-01\",\n \"pin\": \"1234\",\n \"national_id\": \"123456789\",\n \"email\": \"[email protected]\",\n \"external_id\": \"external123\"\n}",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: */*"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/receivers/{id}"
payload := strings.NewReader("{\n \"date_of_birth\": \"1980-01-01\",\n \"pin\": \"1234\",\n \"national_id\": \"123456789\",\n \"email\": \"[email protected]\",\n \"external_id\": \"external123\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/receivers/{id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "*/*")
.body("{\n \"date_of_birth\": \"1980-01-01\",\n \"pin\": \"1234\",\n \"national_id\": \"123456789\",\n \"email\": \"[email protected]\",\n \"external_id\": \"external123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/receivers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = '*/*'
request.body = "{\n \"date_of_birth\": \"1980-01-01\",\n \"pin\": \"1234\",\n \"national_id\": \"123456789\",\n \"email\": \"[email protected]\",\n \"external_id\": \"external123\"\n}"
response = http.request(request)
puts response.read_body{
"id": "f83bb638-dda4-41e6-80c9-d03e6eec2aef",
"phone_number": "+15552368475",
"external_id": "usr12334",
"email": "[email protected]",
"created_at": "2023-02-03T10:45:51.000Z",
"total_payments": "2",
"successful_payments": "2",
"failed_payments": "0",
"canceled_payments": "0",
"remaining_payments": "0",
"registered_wallets": "1",
"received_amounts": [
{
"asset_code": "USDC",
"asset_issuer": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"received_amount": "100.00"
}
],
"wallets": [
{
"id": "803031d4-1d04-4879-b6d9-dc5641f9988e",
"receiver": {
"id": "029e2ed0-feb6-4c40-8b47-0836a85741a2"
},
"wallet": {
"id": "5ada9ed5-455a-4782-a0ee-160767e0deb1",
"name": "Vibrant Assist",
"homepage": "https://vibrantapp.com",
"sep_10_client_domain": "api-dev.vibrantapp.com",
"deep_link_schema": "https://vibrantapp.com/sdp-dev",
"enabled": true,
"user_managed": false
},
"stellar_address": "GCXAJ3XJ3VK3JFH3QMDFOSKM2NMMZBSO3VIT6EUPQWSDW2J74M23RRSL",
"stellar_memo": "<string>",
"stellar_memo_type": "<string>",
"created_at": "2023-02-03T10:45:51.000Z",
"updated_at": "2023-02-03T10:45:51.000Z",
"invited_at": "2023-02-09T10:45:51.000Z",
"last_message_sent_at": "2023-02-10T10:45:51.000Z",
"total_payments": "2",
"payments_received": "2",
"failed_payments": "0",
"canceled_payments": "0",
"remaining_payments": "0",
"received_amounts": [
{
"asset_code": "USDC",
"asset_issuer": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"received_amount": "100.00"
}
],
"status": "DRAFT",
"status_history": [
{
"status": "DRAFT",
"timestamp": "2023-02-10T10:45:51Z"
}
]
}
]
}{
"error": "<string>",
"extras": {}
}{
"error": "Not authorized",
"extras": {
"status": 401,
"message": "Not authorized"
}
}{
"error": "Forbidden"
}{
"error": "Not found",
"extras": {
"status": 404,
"message": "Resource not found"
}
}{
"error": "The provided email is already associated with another user.",
"extras": {
"email": "email must be unique"
}
}Authorizations
Authorization header containing an SDP JWT (ES256) or an SDP_ API key.
Path Parameters
ID of the Receiver.
Body
*/*
List of fields to patch for the receiver
Response
Updated Receiver Details
Example:
"f83bb638-dda4-41e6-80c9-d03e6eec2aef"
Example:
"+15552368475"
Example:
"usr12334"
Example:
Example:
"2023-02-03T10:45:51.000Z"
Example:
"2"
Example:
"2"
Example:
"0"
Example:
"0"
Example:
"0"
Example:
"1"
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Update a Receiver
curl --request PATCH \
--url https://api.example.com/receivers/{id} \
--header 'Authorization: <api-key>' \
--header 'Content-Type: */*' \
--data '{
"date_of_birth": "1980-01-01",
"pin": "1234",
"national_id": "123456789",
"email": "[email protected]",
"external_id": "external123"
}'import requests
url = "https://api.example.com/receivers/{id}"
payload = "{\n \"date_of_birth\": \"1980-01-01\",\n \"pin\": \"1234\",\n \"national_id\": \"123456789\",\n \"email\": \"[email protected]\",\n \"external_id\": \"external123\"\n}"
headers = {
"Authorization": "<api-key>",
"Content-Type": "*/*"
}
response = requests.patch(url, data=payload, headers=headers)
print(response.text)const options = {
method: 'PATCH',
headers: {Authorization: '<api-key>', 'Content-Type': '*/*'},
body: '{\n "date_of_birth": "1980-01-01",\n "pin": "1234",\n "national_id": "123456789",\n "email": "[email protected]",\n "external_id": "external123"\n}'
};
fetch('https://api.example.com/receivers/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));<?php
$curl = curl_init();
curl_setopt_array($curl, [
CURLOPT_URL => "https://api.example.com/receivers/{id}",
CURLOPT_RETURNTRANSFER => true,
CURLOPT_ENCODING => "",
CURLOPT_MAXREDIRS => 10,
CURLOPT_TIMEOUT => 30,
CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
CURLOPT_CUSTOMREQUEST => "PATCH",
CURLOPT_POSTFIELDS => "{\n \"date_of_birth\": \"1980-01-01\",\n \"pin\": \"1234\",\n \"national_id\": \"123456789\",\n \"email\": \"[email protected]\",\n \"external_id\": \"external123\"\n}",
CURLOPT_HTTPHEADER => [
"Authorization: <api-key>",
"Content-Type: */*"
],
]);
$response = curl_exec($curl);
$err = curl_error($curl);
curl_close($curl);
if ($err) {
echo "cURL Error #:" . $err;
} else {
echo $response;
}package main
import (
"fmt"
"strings"
"net/http"
"io"
)
func main() {
url := "https://api.example.com/receivers/{id}"
payload := strings.NewReader("{\n \"date_of_birth\": \"1980-01-01\",\n \"pin\": \"1234\",\n \"national_id\": \"123456789\",\n \"email\": \"[email protected]\",\n \"external_id\": \"external123\"\n}")
req, _ := http.NewRequest("PATCH", url, payload)
req.Header.Add("Authorization", "<api-key>")
req.Header.Add("Content-Type", "*/*")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}HttpResponse<String> response = Unirest.patch("https://api.example.com/receivers/{id}")
.header("Authorization", "<api-key>")
.header("Content-Type", "*/*")
.body("{\n \"date_of_birth\": \"1980-01-01\",\n \"pin\": \"1234\",\n \"national_id\": \"123456789\",\n \"email\": \"[email protected]\",\n \"external_id\": \"external123\"\n}")
.asString();require 'uri'
require 'net/http'
url = URI("https://api.example.com/receivers/{id}")
http = Net::HTTP.new(url.host, url.port)
http.use_ssl = true
request = Net::HTTP::Patch.new(url)
request["Authorization"] = '<api-key>'
request["Content-Type"] = '*/*'
request.body = "{\n \"date_of_birth\": \"1980-01-01\",\n \"pin\": \"1234\",\n \"national_id\": \"123456789\",\n \"email\": \"[email protected]\",\n \"external_id\": \"external123\"\n}"
response = http.request(request)
puts response.read_body{
"id": "f83bb638-dda4-41e6-80c9-d03e6eec2aef",
"phone_number": "+15552368475",
"external_id": "usr12334",
"email": "[email protected]",
"created_at": "2023-02-03T10:45:51.000Z",
"total_payments": "2",
"successful_payments": "2",
"failed_payments": "0",
"canceled_payments": "0",
"remaining_payments": "0",
"registered_wallets": "1",
"received_amounts": [
{
"asset_code": "USDC",
"asset_issuer": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"received_amount": "100.00"
}
],
"wallets": [
{
"id": "803031d4-1d04-4879-b6d9-dc5641f9988e",
"receiver": {
"id": "029e2ed0-feb6-4c40-8b47-0836a85741a2"
},
"wallet": {
"id": "5ada9ed5-455a-4782-a0ee-160767e0deb1",
"name": "Vibrant Assist",
"homepage": "https://vibrantapp.com",
"sep_10_client_domain": "api-dev.vibrantapp.com",
"deep_link_schema": "https://vibrantapp.com/sdp-dev",
"enabled": true,
"user_managed": false
},
"stellar_address": "GCXAJ3XJ3VK3JFH3QMDFOSKM2NMMZBSO3VIT6EUPQWSDW2J74M23RRSL",
"stellar_memo": "<string>",
"stellar_memo_type": "<string>",
"created_at": "2023-02-03T10:45:51.000Z",
"updated_at": "2023-02-03T10:45:51.000Z",
"invited_at": "2023-02-09T10:45:51.000Z",
"last_message_sent_at": "2023-02-10T10:45:51.000Z",
"total_payments": "2",
"payments_received": "2",
"failed_payments": "0",
"canceled_payments": "0",
"remaining_payments": "0",
"received_amounts": [
{
"asset_code": "USDC",
"asset_issuer": "GBBD47IF6LWK7P7MDEVSCWR7DPUWV3NY3DTQEVFL4NAT4AQH3ZLLFLA5",
"received_amount": "100.00"
}
],
"status": "DRAFT",
"status_history": [
{
"status": "DRAFT",
"timestamp": "2023-02-10T10:45:51Z"
}
]
}
]
}{
"error": "<string>",
"extras": {}
}{
"error": "Not authorized",
"extras": {
"status": 401,
"message": "Not authorized"
}
}{
"error": "Forbidden"
}{
"error": "Not found",
"extras": {
"status": 404,
"message": "Resource not found"
}
}{
"error": "The provided email is already associated with another user.",
"extras": {
"email": "email must be unique"
}
}